net.sf.jasperreports.charts.base

## Class JRBaseBarPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseBarPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRBarPlot, JRCategoryAxisFormat, JRCategoryPlot, JRValueAxisFormat, JRChangeEventsSupport, JRChartPlot, JRCloneable
  Direct Known Subclasses:
    JRDesignBarPlot

      public class JRBaseBarPlot
      extends JRBaseChartPlot
      implements JRBarPlot

  Version:
    $Id: JRBaseBarPlot.java 7088 2014-05-12 15:56:44Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `categoryAxisLabelColor`
    `protected JRExpression` | `categoryAxisLabelExpression`
    `protected JRFont` | `categoryAxisLabelFont`
    `protected java.awt.Color` | `categoryAxisLineColor`
    `protected java.awt.Color` | `categoryAxisTickLabelColor`
    `protected JRFont` | `categoryAxisTickLabelFont`
    `protected java.lang.String` | `categoryAxisTickLabelMask`
    `protected java.lang.Boolean` | `categoryAxisVerticalTickLabels`
    `protected JRExpression` | `domainAxisMaxValueExpression`
    `protected JRExpression` | `domainAxisMinValueExpression`
    `protected JRItemLabel` | `itemLabel`
    `static java.lang.String` | `PROPERTY_SHOW_LABELS`
    `static java.lang.String` | `PROPERTY_SHOW_TICK_LABELS`
    `static java.lang.String` | `PROPERTY_SHOW_TICK_MARKS`
    `protected JRExpression` | `rangeAxisMaxValueExpression`
    `protected JRExpression` | `rangeAxisMinValueExpression`
    `protected java.lang.Boolean` | `showLabels`
    `protected java.lang.Boolean` | `showTickLabels`
    `protected java.lang.Boolean` | `showTickMarks`
    `protected java.awt.Color` | `valueAxisLabelColor`
    `protected JRExpression` | `valueAxisLabelExpression`
    `protected JRFont` | `valueAxisLabelFont`
    `protected java.awt.Color` | `valueAxisLineColor`
    `protected java.awt.Color` | `valueAxisTickLabelColor`
    `protected JRFont` | `valueAxisTickLabelFont`
    `protected java.lang.String` | `valueAxisTickLabelMask`
    `protected java.lang.Boolean` | `valueAxisVerticalTickLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseBarPlot(JRBarPlot barPlot, JRBaseObjectFactory factory)`
    `JRBaseBarPlot(JRChartPlot plot, JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone(JRChart parentChart)`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `java.awt.Color` | `getCategoryAxisLabelColor()`
    `JRExpression` | `getCategoryAxisLabelExpression()`
    `JRFont` | `getCategoryAxisLabelFont()`
    `java.awt.Color` | `getCategoryAxisLineColor()`
    `java.awt.Color` | `getCategoryAxisTickLabelColor()`
    `JRFont` | `getCategoryAxisTickLabelFont()`
    `java.lang.String` | `getCategoryAxisTickLabelMask()`
    `java.lang.Double` | `getCategoryAxisTickLabelRotation()` Gets the angle in degrees to rotate the data axis labels.
    `java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `JRItemLabel` | `getItemLabel()`
    `java.awt.Color` | `getOwnCategoryAxisLabelColor()`
    `java.awt.Color` | `getOwnCategoryAxisLineColor()`
    `java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLineColor()`
    `java.awt.Color` | `getOwnValueAxisTickLabelColor()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `java.lang.Boolean` | `getShowLabels()`
    `java.lang.Boolean` | `getShowTickLabels()`
    `java.lang.Boolean` | `getShowTickMarks()`
    `java.awt.Color` | `getValueAxisLabelColor()`
    `JRExpression` | `getValueAxisLabelExpression()`
    `JRFont` | `getValueAxisLabelFont()`
    `java.awt.Color` | `getValueAxisLineColor()`
    `java.awt.Color` | `getValueAxisTickLabelColor()`
    `JRFont` | `getValueAxisTickLabelFont()`
    `java.lang.String` | `getValueAxisTickLabelMask()`
    `java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
    `void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotationDouble)` Sets the angle in degrees to rotate the data axis labels.
    `void` | `setShowLabels(java.lang.Boolean showLabels)` Sets a flag that specifies whether the labels are to be shown or not
    `void` | `setShowTickLabels(java.lang.Boolean showTickLabels)` Sets a flag that specifies whether the tick labels are to be shown or not
    `void` | `setShowTickMarks(java.lang.Boolean isShowTickMarks)` Sets a flag that specifies whether the tick marks are to be shown or not

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_SHOW_LABELS

          public static final java.lang.String PROPERTY_SHOW_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_TICK_LABELS

          public static final java.lang.String PROPERTY_SHOW_TICK_LABELS

      See Also:
        Constant Field Values

    - #### PROPERTY_SHOW_TICK_MARKS

          public static final java.lang.String PROPERTY_SHOW_TICK_MARKS

      See Also:
        Constant Field Values

    - #### categoryAxisLabelExpression

          protected JRExpression categoryAxisLabelExpression

    - #### categoryAxisLabelFont

          protected JRFont categoryAxisLabelFont

    - #### categoryAxisLabelColor

          protected java.awt.Color categoryAxisLabelColor

    - #### categoryAxisTickLabelFont

          protected JRFont categoryAxisTickLabelFont

    - #### categoryAxisTickLabelColor

          protected java.awt.Color categoryAxisTickLabelColor

    - #### categoryAxisTickLabelMask

          protected java.lang.String categoryAxisTickLabelMask

    - #### categoryAxisVerticalTickLabels

          protected java.lang.Boolean categoryAxisVerticalTickLabels

    - #### categoryAxisLineColor

          protected java.awt.Color categoryAxisLineColor

    - #### valueAxisLabelExpression

          protected JRExpression valueAxisLabelExpression

    - #### rangeAxisMinValueExpression

          protected JRExpression rangeAxisMinValueExpression

    - #### rangeAxisMaxValueExpression

          protected JRExpression rangeAxisMaxValueExpression

    - #### domainAxisMinValueExpression

          protected JRExpression domainAxisMinValueExpression

    - #### domainAxisMaxValueExpression

          protected JRExpression domainAxisMaxValueExpression

    - #### valueAxisLabelFont

          protected JRFont valueAxisLabelFont

    - #### valueAxisLabelColor

          protected java.awt.Color valueAxisLabelColor

    - #### valueAxisTickLabelFont

          protected JRFont valueAxisTickLabelFont

    - #### valueAxisTickLabelColor

          protected java.awt.Color valueAxisTickLabelColor

    - #### valueAxisTickLabelMask

          protected java.lang.String valueAxisTickLabelMask

    - #### valueAxisVerticalTickLabels

          protected java.lang.Boolean valueAxisVerticalTickLabels

    - #### valueAxisLineColor

          protected java.awt.Color valueAxisLineColor

    - #### showTickMarks

          protected java.lang.Boolean showTickMarks

    - #### showTickLabels

          protected java.lang.Boolean showTickLabels

    - #### showLabels

          protected java.lang.Boolean showLabels

    - #### itemLabel

          protected JRItemLabel itemLabel

  - ### Constructor Detail

    - #### JRBaseBarPlot

          public JRBaseBarPlot(JRChartPlot plot,
                       JRChart chart)

    - #### JRBaseBarPlot

          public JRBaseBarPlot(JRBarPlot barPlot,
                       JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getCategoryAxisLabelExpression

          public JRExpression getCategoryAxisLabelExpression()

      Specified by:
        `getCategoryAxisLabelExpression` in interface `JRCategoryPlot`
      Returns:
        the category axis label expression

    - #### getCategoryAxisLabelFont

          public JRFont getCategoryAxisLabelFont()

      Specified by:
        `getCategoryAxisLabelFont` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisLabelColor

          public java.awt.Color getCategoryAxisLabelColor()

      Specified by:
        `getCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisLabelColor

          public java.awt.Color getOwnCategoryAxisLabelColor()

      Specified by:
        `getOwnCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelFont

          public JRFont getCategoryAxisTickLabelFont()

      Specified by:
        `getCategoryAxisTickLabelFont` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelColor

          public java.awt.Color getCategoryAxisTickLabelColor()

      Specified by:
        `getCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisTickLabelColor

          public java.awt.Color getOwnCategoryAxisTickLabelColor()

      Specified by:
        `getOwnCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelMask

          public java.lang.String getCategoryAxisTickLabelMask()

      Specified by:
        `getCategoryAxisTickLabelMask` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisVerticalTickLabels

          public java.lang.Boolean getCategoryAxisVerticalTickLabels()

      Specified by:
        `getCategoryAxisVerticalTickLabels` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelRotation

          public java.lang.Double getCategoryAxisTickLabelRotation()

      Description copied from interface: `JRCategoryAxisFormat`
      Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `getCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

    - #### setCategoryAxisTickLabelRotation

          public void setCategoryAxisTickLabelRotation(java.lang.Double labelRotationDouble)

      Description copied from interface: `JRCategoryAxisFormat`
      Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `setCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisLineColor

          public java.awt.Color getCategoryAxisLineColor()

      Specified by:
        `getCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisLineColor

          public java.awt.Color getOwnCategoryAxisLineColor()

      Specified by:
        `getOwnCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

    - #### getValueAxisLabelExpression

          public JRExpression getValueAxisLabelExpression()

      Specified by:
        `getValueAxisLabelExpression` in interface `JRCategoryPlot`
      Returns:
        the value axis label expression

    - #### getDomainAxisMinValueExpression

          public JRExpression getDomainAxisMinValueExpression()

      Specified by:
        `getDomainAxisMinValueExpression` in interface `JRCategoryPlot`
      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          public JRExpression getDomainAxisMaxValueExpression()

      Specified by:
        `getDomainAxisMaxValueExpression` in interface `JRCategoryPlot`
      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          public JRExpression getRangeAxisMinValueExpression()

      Specified by:
        `getRangeAxisMinValueExpression` in interface `JRCategoryPlot`
      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          public JRExpression getRangeAxisMaxValueExpression()

      Specified by:
        `getRangeAxisMaxValueExpression` in interface `JRCategoryPlot`
      Returns:
        the maximum value expression for the range axis

    - #### getValueAxisLabelFont

          public JRFont getValueAxisLabelFont()

      Specified by:
        `getValueAxisLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisLabelColor

          public java.awt.Color getValueAxisLabelColor()

      Specified by:
        `getValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLabelColor

          public java.awt.Color getOwnValueAxisLabelColor()

      Specified by:
        `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelFont

          public JRFont getValueAxisTickLabelFont()

      Specified by:
        `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelColor

          public java.awt.Color getValueAxisTickLabelColor()

      Specified by:
        `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisTickLabelColor

          public java.awt.Color getOwnValueAxisTickLabelColor()

      Specified by:
        `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelMask

          public java.lang.String getValueAxisTickLabelMask()

      Specified by:
        `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

    - #### getValueAxisVerticalTickLabels

          public java.lang.Boolean getValueAxisVerticalTickLabels()

      Specified by:
        `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

    - #### getValueAxisLineColor

          public java.awt.Color getValueAxisLineColor()

      Specified by:
        `getValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLineColor

          public java.awt.Color getOwnValueAxisLineColor()

      Specified by:
        `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### getShowLabels

          public java.lang.Boolean getShowLabels()

      Specified by:
        `getShowLabels` in interface `JRBarPlot`
      Returns:
        a flag that specifies whether the labels are to be shown or not

    - #### getItemLabel

          public JRItemLabel getItemLabel()

      Specified by:
        `getItemLabel` in interface `JRBarPlot`
      Returns:
        a `JRItemLabel` object representing the item label

    - #### setShowLabels

          public void setShowLabels(java.lang.Boolean showLabels)

      Description copied from interface: `JRBarPlot`
      Sets a flag that specifies whether the labels are to be shown or not
      Specified by:
        `setShowLabels` in interface `JRBarPlot`
      Parameters:
        `showLabels` - the show labels flag

    - #### getShowTickMarks

          public java.lang.Boolean getShowTickMarks()

      Specified by:
        `getShowTickMarks` in interface `JRBarPlot`
      Returns:
        a flag that specifies whether the tick marks are to be shown or not

    - #### setShowTickMarks

          public void setShowTickMarks(java.lang.Boolean isShowTickMarks)

      Description copied from interface: `JRBarPlot`
      Sets a flag that specifies whether the tick marks are to be shown or not
      Specified by:
        `setShowTickMarks` in interface `JRBarPlot`
      Parameters:
        `isShowTickMarks` - the show tick marks flag

    - #### getShowTickLabels

          public java.lang.Boolean getShowTickLabels()

      Specified by:
        `getShowTickLabels` in interface `JRBarPlot`
      Returns:
        a flag that specifies whether the tick labels are to be shown or not

    - #### setShowTickLabels

          public void setShowTickLabels(java.lang.Boolean showTickLabels)

      Description copied from interface: `JRBarPlot`
      Sets a flag that specifies whether the tick labels are to be shown or not
      Specified by:
        `setShowTickLabels` in interface `JRBarPlot`
      Parameters:
        `showTickLabels` - the show tick labels flag

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRChartPlot`

    - #### clone

          public java.lang.Object clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartPlot`
      Overrides:
        `clone` in class `JRBaseChartPlot`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com